#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/install.sh - libiksemel3-dev installation
#
# Creation   : 2009-05-27 alex
# Last update: $Id: install.sh 317 2009-05-27 19:40:10Z alex $
#
# Copyright (c) 2009 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set packages name
packageName=libiksemel3-dev

# Don't change the name of the following variable! It is automatically updated
# during the package build with mktarball
libVersion=3.1.0

#----------------------------------------------------------------------------
# include eislib
#----------------------------------------------------------------------------
. /var/install/include/eislib

mecho -info "installing ${packageName} ..."

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
cd /usr/lib/

rm -f libiksemel.so
ln -sf libiksemel.so.${libVersion} libiksemel.so

cd - >/dev/null

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
