#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - libiksemel3-dev preinstallation
#
# Creation   : 2009-05-27 alex
# Last update: $Id: preinstall.sh 315 2009-05-27 18:54:42Z alex $
#
# Copyright (c) 2009 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set packages name
packageName=libiksemel3-dev

#----------------------------------------------------------------------------
# include eislib
#----------------------------------------------------------------------------
. /var/install/include/eislib

test -f /var/install/packages/${packageName}  &&
mecho -info "preinstalling ${packageName} ..."


#----------------------------------------------------------------------------
# delete old scripts
#----------------------------------------------------------------------------
test -f /var/install/deinstall/${packageName} &&
sh /var/install/deinstall/${packageName}


exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
